package protocol

type Command uint8
type Result uint8

const (
	// Level 0
	Quit Command = iota
	Set
	Get
	Delete
	Flush_all

	// Level 1
	Stats
	Verbosity
	Version

	// Level 2
	Touch
	Incr
	Decr
	Append
	Prepend
	Add
	Replace

	// Level 3
	Cas
	Gets

	// Level 4
	Slab_automove
	Slabs_reassign
)

const (
	Stored Result = iota // set
	NotStored // set
	Exists // set
	NotFound // get, delete
	Deleted // delete
)
